/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.html.normalizer.parser.valueobject;

/**
 * HTMLの要素終了イベントをあらわすバリューオブジェクトです。
 */
public class BlancoHtmlEventEndElement extends BlancoHtmlEvent {
    /**
     * 名前。
     *
     * フィールド: [name]。
     */
    private String fName;

    /**
     * (検討中)自動的に追加された End Tag かどうか。対になる Start Tag から類推して追加された場合など。
     *
     * フィールド: [isAdded]。
     * デフォルト: [false]。
     */
    private boolean fIsAdded = false;

    /**
     * (検討中)除去された End Tag かどうか。対になる Start Tag が見つからないなどの理由によって除去されるマークが付いていることを示す。
     *
     * フィールド: [isRemoved]。
     * デフォルト: [false]。
     */
    private boolean fIsRemoved = false;

    /**
     * フィールド [name] の値を設定します。
     *
     * フィールドの説明: [名前。]。
     *
     * @param argName フィールド[name]に設定する値。
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド [name] の値を取得します。
     *
     * フィールドの説明: [名前。]。
     *
     * @return フィールド[name]から取得した値。
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [isAdded] の値を設定します。
     *
     * フィールドの説明: [(検討中)自動的に追加された End Tag かどうか。対になる Start Tag から類推して追加された場合など。]。
     *
     * @param argIsAdded フィールド[isAdded]に設定する値。
     */
    public void setIsAdded(final boolean argIsAdded) {
        fIsAdded = argIsAdded;
    }

    /**
     * フィールド [isAdded] の値を取得します。
     *
     * フィールドの説明: [(検討中)自動的に追加された End Tag かどうか。対になる Start Tag から類推して追加された場合など。]。
     * デフォルト: [false]。
     *
     * @return フィールド[isAdded]から取得した値。
     */
    public boolean getIsAdded() {
        return fIsAdded;
    }

    /**
     * フィールド [isRemoved] の値を設定します。
     *
     * フィールドの説明: [(検討中)除去された End Tag かどうか。対になる Start Tag が見つからないなどの理由によって除去されるマークが付いていることを示す。]。
     *
     * @param argIsRemoved フィールド[isRemoved]に設定する値。
     */
    public void setIsRemoved(final boolean argIsRemoved) {
        fIsRemoved = argIsRemoved;
    }

    /**
     * フィールド [isRemoved] の値を取得します。
     *
     * フィールドの説明: [(検討中)除去された End Tag かどうか。対になる Start Tag が見つからないなどの理由によって除去されるマークが付いていることを示す。]。
     * デフォルト: [false]。
     *
     * @return フィールド[isRemoved]から取得した値。
     */
    public boolean getIsRemoved() {
        return fIsRemoved;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.html.normalizer.parser.valueobject.BlancoHtmlEventEndElement[");
        buf.append("name=" + fName);
        buf.append(",isAdded=" + fIsAdded);
        buf.append(",isRemoved=" + fIsRemoved);
        buf.append("]");
        return buf.toString();
    }
}
